
uniform float time;

void main(void) {
    float g_val = sin(time/2.0)*sin(gl_FragCoord.x / 10.0+time);
    float b_val = cos(time/3.0)*cos(gl_FragCoord.x / 5.0-time);
    float r_val = sin(time/5.0)*cos(gl_FragCoord.x / 7.0-time);
    g_val = (g_val / 1.3) + 0.3;
    b_val = (b_val / 1.3) + 0.3;
    r_val = (r_val / 1.0) + 0.3;

    gl_FragColor = vec4(
           r_val,
           g_val,
           b_val,
           1.0);
}